aboutsummaryrefslogtreecommitdiff
path: root/dragons/build.sh
diff options
context:
space:
mode:
authorJames Turner <jturner@gemini.edu>2019-04-25 12:19:35 -0400
committerJames Turner <jturner@gemini.edu>2019-04-25 12:19:35 -0400
commitf74904641a615ba94e5b05a2c2d196f2b2fb481f (patch)
tree48d82b8c83ccc6a2bcbd0b47ecd5a26e6b1f063e /dragons/build.sh
parent095bda1ce290f8ae8facf64995bfdfa83ef472ec (diff)
downloadastroconda-iraf-f74904641a615ba94e5b05a2c2d196f2b2fb481f.tar.gz
Add recipe for public dragons package (based on the astroconda-gemini-internal one) and include it in the gemini meta-package.
Diffstat (limited to 'dragons/build.sh')
-rw-r--r--dragons/build.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/dragons/build.sh b/dragons/build.sh
new file mode 100644
index 0000000..9ab2886
--- /dev/null
+++ b/dragons/build.sh
@@ -0,0 +1,23 @@
+# Build the package in the usual way:
+$PYTHON setup.py install || exit 1
+
+# Build the Sphinx documentation with our purpose-built LaTeX package:
+docs="astrodata/doc/ad_CheatSheet astrodata/doc/ad_ProgManual \
+ astrodata/doc/ad_UserManual recipe_system/doc/rs_ProgManual \
+ recipe_system/doc/rs_UsersManual geminidr/doc/progmanuals/notes4manual \
+ geminidr/doc/tutorials/F2Img-DRTutorial \
+ geminidr/doc/tutorials/GSAOIImg-DRTutorial \
+ geminidr/doc/tutorials/NIRIImg-DRTutorial \
+ doc/DRAGONS gempy/doc/mosaic"
+
+# Doc build to be completed here. Need to add a doc build step / script to
+# DRAGONS itself, to keep things modular and allow building everything without
+# the conda recipe.
+
+#(cd doc/ && make html && make latexpdf) || exit 1
+
+# Install the LICENSE file(s) where recipients can read them:
+mkdir -p ${PREFIX}/share/dragons/
+cp -p LICENSE ${PREFIX}/share/dragons/ || exit 1
+cp -pR extern_licenses ${PREFIX}/share/dragons/
+